# Generated from course-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name course

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Operations API for Railway oriented programming in Ruby
License: MIT
URL: https://github.com/zhulik/course
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(awesome_print) >= 1.7
# BuildRequires: rubygem(awesome_print) < 2
# BuildRequires: rubygem(pry) >= 0.11.3
# BuildRequires: rubygem(pry) < 0.12
# BuildRequires: rubygem(codecov)
# BuildRequires: rubygem(codecov) < 1
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Course provides an API for building your application operations/transactions
using
the Railway oriented programming paradigm.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.overcommit.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Makefile
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/course.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.1-1
- Initial package
